2
$\begingroup$

After installing the addons in the user preferences, they don't show up anywhere in blender 2.8 except from workspace addons tab in the properties and clicking it doesnt do anything. In user preferences next to the addons list, it also says that "Upgrade to 2.8x required". Does that mean that we can't use any addons in 2.8 unless they are upgraded for 2.8 builds?

$\endgroup$
4
  • 2
    $\begingroup$ Since the addon version check, need to update to "blender" : (2, 80, 0) in the bl_info dictionary to register an addon. Some basic changes like no more scene.objects.[link, active] break a lot of addons. If you really want to disable the check, find the file 2.80/modules/addon_utils.py and edit the line if mod.bl_info.get("blender", (0, 0, 0)) < (2, 80, 0): to if True: (The addons may register, but be aware a lot of ops and panels will be broken) $\endgroup$
    – batFINGER
    Jul 7, 2018 at 10:35
  • $\begingroup$ whoops that should be if False: above, to remove the check. Liking 2.8 too, albeit a little frustrating. $\endgroup$
    – batFINGER
    Jul 8, 2018 at 7:48
  • $\begingroup$ Oh i was struggling to get it work with If True.... Thank you :) $\endgroup$
    – Zohaib
    Jul 8, 2018 at 7:51
  • $\begingroup$ I got it working by doing this: if mod.bl_info.get("blender", (0, 0, 0)) < (2, 80, 0): Change to if mod.bl_info.get("blender", (0, 0, 0)) < (2, 79, 0): $\endgroup$
    – Zohaib
    Jul 8, 2018 at 18:45

3 Answers 3

3
$\begingroup$

Blender 2.8 has yet to notify the add-on developers to make it compatible with 2.8.

If you see a message stating "Upgrade to 2.8x required" it means the addon was made for older versions of Blender 2.7x and does not work for newer versions.

Unfortunately there is very little you can do as a user to fix it.

Check the author website for an newer updated version, or ask the developer for an update. Most addons require small changes to adapt and can be easily updated.

If it is a commercial addon you payed for try contacting support for an update. It is often in the best interest of the owners to make it work in the latest release.

Otherwise roll up your sleeves, learn Python, and update the addon yourself by coding in the required changes in. Most addons require only small adjustments.

$\endgroup$
0
2
$\begingroup$

The add-ons now appear on the opposite side menu bar. Where they used to show up on the (T) menu bar, they now show up as tabs beside the (N) menu bar.

$\endgroup$
1
  • $\begingroup$ Thanks! I was looking for this everywhere. $\endgroup$ Mar 27, 2019 at 21:07
-1
$\begingroup$

Ok the addons are in the addons in the preferences in 2.80 the mesh 2 is there But I am missing the measuremnts and the snap utils that used to show up in the T toolbar. Tool bar T is missing now.
Someone else must be scratching there head about why the addons are included with 2.80 but no person can find them to use them.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.